Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - mauro

Pages: 1 [2] 3 4 ... 23
16
Applications / Re: Test build of dooble with qt5
« on: May 03, 2022, 11:03:03 am »
Quote
Hope that at final phase of all testings, a guide will explain the complete set of software/configuration needed to make it work well.

Here it was that easy as I could imagine it could be. yum install dooble -> installed only this one package. After that it worked. Other programs still work too. No problem with AOO, Seamonkey, Thunderbird, ... all works well. Probably cause I kept my system up to date before. And I had installed simple browser before.

this is +/- the situation I'm having my Dooble installation test, on such vm had already simplebrowser working (for what "working" could mean, dealing with crashes sometimes and trapping on program exit). I've provided all updates/installation I understood should be done, always choosing pentium4 platform, the matter is that the system had initially most i686 packages and maybe now some i686 still there is producing such weirdness acting.  Furtermore, also ANPM software recently behaves unreliably, sometimes installation/upgrades go faulty with packages conflict advices a bit complicated to solve, while have had no problem to use ANPM for other software implementation before.  This is why my idea is that both Simplebrowser and Dooble deserve a very focused HowTo once the origin of their actual weakness -I see not being the only one having troubles- will be determined

17
Applications / Re: Test build of dooble with qt5
« on: May 03, 2022, 08:59:44 am »

I replaced libcx and libgcc packages (pulls in gcc-stdc++-shared-library, libgcc-fwd, libssp, libssp-fwd, libstc++) with P4 versions - they were i686 - and have had Dooble running for longer than 15 minutes at a time.
 @mauro: You may want to check if the above helps.



Hi Pete, yes I have already installed libcx and libgcc pentium4 at the latest version available, which was due to make at least Dooble running, lead there by error messages appearing before those installation. Also installed NSS and NSPR pentium4 at their latest version.
However, I understand that Dooble good running depends from many system elements, (dll packages above all), actually different on each machine.
Hope that at final phase of all testings, a guide will explain the complete set of software/configuration needed to make it work well. At that time I will use a new clean VM for starting over with it, meantime I keep trying to set my actual implementation best possible by following the dedicated threads here and asking sometimes.
Thank you much for now, I'm appreciating the effort for getting there.

18
Applications / Re: Test build of dooble with qt5
« on: May 02, 2022, 07:06:31 am »
Hi All

The real downside to Dooble here is that it closes after 10 to 15 minutes use - no beeps,squeaks or log files. Dooble can be restarted immediately for another 10 to 15 minutes use.

this is also happening to my Dooble

19
Applications / anpm - yum permission denied ?
« on: April 27, 2022, 09:24:41 pm »
Sorry, How can I fix this ? (see error message image).
First time it happens, cannot update LIBC p4
Tks

20
Applications / Re: Dooble: Websites / WebApps Testing
« on: April 26, 2022, 06:16:34 pm »

You need a newer libcx. Looking, I have the i686 version, 0.7.2.-1 installed so I guess no shmem. Bitwise seems to have used the newest Pentium 4 version. Update libc too.

updated libcx to the available P4 version.  libc showed no update, and was already at the latest P4 version.
The main result is that now I cannot use ANPM anymore, it crashes just after started when searching for database package list.
Have to restore the previous vm picture,  just made before this attempt.

ADDENDUM: now just reinstalled everything back (dooble + libcx update) on the restored  previous vm version.   ANPM seems to work, while running dooble this is the new error message "....QT5WEBC ->ICUUC.__ZN3icu6Locale14forLanguageTagENS_11StringPieceER10UE is in error. For additional detalied informations type...."

21
Applications / Re: Dooble: Websites / WebApps Testing
« on: April 26, 2022, 02:08:10 pm »
made rpm installation on a virtualbox vm machine (Warp4.52), after also made some test with the zip file version posted by Dave on a different vm machine.
The result with this last installation is worst than the zip file version, which at least worked for limited case of pagesites even if mostly unstable.

Here the executable not even starts, with the error message: "The system could not demando load the application's segment. QT5WEBC->LIBCX0._shmem_close is in error. For additional detailed information type: HELP SYS127

22
Applications / Re: Test build of dooble with qt5
« on: April 26, 2022, 11:01:57 am »
Hi Dave, my testing result is :

-used my "BROWSERTEST" VirtualBox vm (OS2 WARP4.52) which is same one implemented for you Simple Browser revisited, means QT5 Pentium4 necessary packages installed

-VIRTUALADDRESSLIMIT=3072

-RAM given to the machine also 3072 MB

-execute mark_high.cmd in /usr/lib

-tried both dooble versions downloaded in their zip archive from the given url; first version and the gcc11 one, executed from their folder just unzipped under C:\, they give same results

-browser starts in its blank page, then I can opens some pagesite but some of them self-close or trap after about a minute (ie. Youtube, Linkedin)

-almost behaving like the Simple Browser revisited which opens any pages only in Incognito mode, also there Linkedin and Youtube pages seem to work initially, resist a minute +/-  , and then trap.  The common part is both browsers cause a system trap as want to exit (close) 90% of the times

-both browsers can stay open sametime on the pages they can handle.

So, by my poor knowledge side I can tell they share same unstable behaviour happening more on less on same site pages, like it was caused by same -one or more-  dll involved.

Just a question: does mark_high.cmd need to be executed every starting session ? If so, is it good to put its shadow in the Startup folder or adding such command in autoexec.bat?

Thank you

23
Applications / Re: FeatherNotes for OS/2
« on: March 30, 2022, 07:23:56 pm »

Quote

libstdc++.i686  9.2.0-5.oc00  installed

guess it has to be  libstdc++.pentium4  9.2.0-5.oc00  instead.
By now I'm unable to switch to its pentium4 version because of the ANPM connection blackout today, I'll try soon as ANPM will be available again.
Thank you

yes, now that ANPM is working again, after libstdc++ switch to pentium4 now FeatherNothes runs  :)
Thank you

24
Applications / Re: is ANPM working today ?
« on: March 30, 2022, 06:15:39 pm »
now up and running again (by my side).
Welcome back  :)

25
Applications / Re: FeatherNotes for OS/2
« on: March 30, 2022, 03:20:37 pm »
Sorry ,  any of you could tell how I could fix this (see image), coming as attemptto run FeatherNotes ?
I have already installed both QT5 and  QT5-base, and Hunspell 1.7.0-2 pentium4 too.
Thank you

The error says that you don't have the version of stdcpp6.dll installed that qt5core needs.
 What is the output of

Code: [Select]
yum list installed libstdc++

libstdc++.i686  9.2.0-5.oc00  installed

guess it has to be  libstdc++.pentium4  9.2.0-5.oc00  instead.
By now I'm unable to switch to its pentium4 version because of the ANPM connection blackout today, I'll try soon as ANPM will be available again.
Thank you

26
Applications / Re: is ANPM working today ?
« on: March 30, 2022, 01:42:12 pm »
Hi Ivan, cannot try on real hardware, but strange every VM was working till yesterday evening and not today, like it has been a sort of "switch off"...  ???

27
Applications / is ANPM working today ?
« on: March 30, 2022, 10:18:29 am »
My ANPM get locked as windows appears, this is happening on two different virtualbox virtual machines I'm testing (WARP 4.52)

28
Applications / Re: FeatherNotes for OS/2
« on: March 29, 2022, 07:54:00 pm »
Sorry ,  any of you could tell how I could fix this (see image), coming as attemptto run FeatherNotes ?
I have already installed both QT5 and  QT5-base, and Hunspell 1.7.0-2 pentium4 too.
Thank you

29
Applications / Re: FeatherNotes for OS/2
« on: March 23, 2022, 08:28:15 pm »
Mauro, just in case this is my stdcpp6.dll:
Code: [Select]
7-22-20  9:00p     1,121,313    124 a---  stdcpp6.dll
Quote
[C:\usr\lib]bldlevel stdcpp6.dll
Build Level Display Facility Version 6.12.675 Sep 25 2001
(C) Copyright IBM Corporation 1993-2001
Signature:       @#bww bitwise works GmbH:9.2.0-5.oc00#@##1## 23 Jul 2020 04:51:
30     novator::::0::@@stdc++
Vendor:          bww bitwise works GmbH
Revision:        9.02.0-5.oc00
Date/Time:       23 Jul 2020 04:51:30
Build Machine:   novator
File Version:    9.2
Description:     stdc++


tks Martin, I have identical description in my stdcpp6.dll .
The difference  I can think about with the other system where I could successfully install the working version of FeatherNotes, is that was a "QT5 ready" one, meaning that has been setted for the Simple Browser hosting, with all the necessary QT5 stuff as described in this topic   https://www.os2world.com/forum/index.php/topic,2956.0.html

EDIT (5 mins late) : unbelievable, after a further system reboot (the third one), now everything works fine ! 
Very Well  :D :D

30
Applications / Re: FeatherNotes for OS/2
« on: March 23, 2022, 06:35:07 pm »
me again, now trying to replicate the Feathernotes 0.10.1 installation on a different OS2 4.52 virtual machine (Virtualbox); after having worked around some dependencies error-alert  about Pyton version and QT5 compatibility (initially that system did not have any QT5 implementation), now I arrived here when running FeatherNotes.exe -see image- and do not catch what to do next.
Thank you

Pages: 1 [2] 3 4 ... 23